mk_static 1.0.0

  • README.md
  • CHANGELOG.md
  • Installing
  • Versions
  • 65

mk_static

A transformer for pub.

Searches all .html in web and test folders and eliminates a 404 get on the .css and .js files in absence of internet by transforming javascript[src] and link[rel=stylesheet] remote sources into local ones.

This library is the dev dependency and works only for production build mode.

Usage

To use, add mk_static to your pubspec:

dev_dependencies:
  mk_static: "^1.0.0"

Then, add the transformer:

transformers:
  - mk_static

Also you can point to your files directly:

transformers:
  - mk_static:
      entry_points:
        - web/index.html

Bugs/requests

Please report bugs and feature requests.

1.0.0

  • Initial release.

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  mk_static: "^1.0.0"

2. Install it

You can install packages from the command line:

with pub:


$ pub get

with Flutter:


$ flutter packages get

Alternatively, your editor might support pub get or flutter packages get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


      import 'package:mk_static/transformer.dart';
  
Version Uploaded Documentation Archive
1.0.0 Dec 15, 2017 Go to the documentation of mk_static 1.0.0 Download mk_static 1.0.0 archive

Analysis

We analyzed this package on Jun 12, 2018, and provided a score, details, and suggestions below. Analysis was completed with status completed using:

  • Dart: 2.0.0-dev.60.0
  • pana: 0.11.3

Scores

Popularity:
Describes how popular the package is relative to other packages. [more]
32 / 100
Health:
Code health derived from static analysis. [more]
97 / 100
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
100 / 100
Overall score:
Weighted score of the above. [more]
65
Learn more about scoring.

Platforms

Detected platforms: Flutter, web, other

Platform components identified in package: build.

Suggestions

  • The description is too long.

    Search engines will display only the first part of the description. Try to keep it under 180 characters.

  • Fix analysis and formatting issues.

    Analysis or formatting checks reported 8 hints.

    Run dartfmt to format lib/src/css_processor.dart.

    Strong-mode analysis of lib/src/js_processor.dart gave the following hint:

    line: 3 col: 1
    'barback' is deprecated and shouldn't be used.

    Similar analysis of the following files failed:

    • lib/src/processor.dart (hint)
    • lib/transformer.dart (hint)
  • Maintain an example.

    Create a short demo in the example/ directory to show how to use this package. Common file name patterns include: main.dart, example.dart or you could also use mk_static.dart.

Dependencies

Package Constraint Resolved Available
Direct dependencies
Dart SDK >=1.13.0 <2.0.0
barback ^0.15.2+7 0.15.2+16
html >=0.12.0 <0.14.0 0.13.3+1
http ^0.11.3+16 0.11.3+16
path ^1.5.1 1.6.0
Transitive dependencies
args 1.4.3
async 2.0.7
charcode 1.1.1
collection 1.14.10
csslib 0.14.4
http_parser 3.1.2
logging 0.11.3+1
pool 1.3.5
source_span 1.4.0
stack_trace 1.9.2
string_scanner 1.0.2
typed_data 1.1.5
utf 0.9.0+4